Acrobat Reader 7.0.9 “expr: errore di sintassi”


Su Ubuntu (ma forse anche in altre distro) il modo più veloce per risolvere il fastidioso loop che appare quando si lancia “acroread”

expr: errore di sintassi
expr: errore di sintassi
expr: errore di sintassi
expr: errore di sintassi
expr: errore di sintassi
expr: errore di sintassi
expr: errore di sintassi
expr: errore di sintassi

…..

l’ho trovato qui:

https://bugs.launchpad.net/medibuntu/+bug/131949

Yep, noticed this too. As I really don’t have time to look into it
(/usr/bin/acroread is quite complex) , a simple workaround, although it’s an
ugly one, is to modify the first line of /usr/bin/acroread and replace
/bin/bash by /bin/zsh (of course you’ll need zsh), or run zsh /usr/bin/acroread
directly.
Cheers

In pratica è sufficiente installare la shell zsh

$ sudo apt-get install zsh

e correggere la prima riga del file /usr/bin/acroread in questo modo:

#!/bin/zsh

(invece di #!/bin/sh)

La versione 7.0.9 (Ita) è scaricabile da questo link, (installazione in /usr/local) mentre Acrobat 8.1 (Eng) si può scaricare da qui (installazione in /opt)

per entrambi i pacchetti è sufficiente decomprimere e eseguire dalla directory AdobeReader

sudo ./INSTALL

Enjoy😀

Info Antonio Doldo
www.toolinux.it - www.virtualboxes.org - adoldo.wordpress.com - Linux user & Android fan

Lascia un commento

Effettua il login con uno di questi metodi per inviare il tuo commento:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: